summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Klaatu <klaatu@member.fsf.org>2016-07-27 17:05:16 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-30 06:03:48 +0700
commit25418cc20adaee204828707bbee3d9c266b5204c (patch)
treef419f0be33ae49b529e9e28de7f7c6ced25f2634 /audio
parent0fd3d5fb2890a994a2a64137b81e3f2c50cde10d (diff)
downloadslackbuilds-25418cc20adaee204828707bbee3d9c266b5204c.tar.gz
slackbuilds-25418cc20adaee204828707bbee3d9c266b5204c.tar.xz
audio/libebur128: Added (library for EBU R128 loudness standard).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/libebur128/README4
-rw-r--r--audio/libebur128/libebur128.SlackBuild83
-rw-r--r--audio/libebur128/libebur128.info10
-rw-r--r--audio/libebur128/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/audio/libebur128/README b/audio/libebur128/README
new file mode 100644
index 0000000000..89128404f0
--- /dev/null
+++ b/audio/libebur128/README
@@ -0,0 +1,4 @@
+libebur128 is a library that implements the EBU R 128 standard for
+loudness normalisation.
+
+All source code is licensed under the MIT license. \ No newline at end of file
diff --git a/audio/libebur128/libebur128.SlackBuild b/audio/libebur128/libebur128.SlackBuild
new file mode 100644
index 0000000000..df17a11700
--- /dev/null
+++ b/audio/libebur128/libebur128.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for libebur128
+
+# Copyright 2016 Klaatu, Wellington NZ
+# All rights reserved.
+#
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=libebur128
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/v"$VERSION".tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBUILD_STATIC_LIBS=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/libebur128/libebur128.info b/audio/libebur128/libebur128.info
new file mode 100644
index 0000000000..0be017231d
--- /dev/null
+++ b/audio/libebur128/libebur128.info
@@ -0,0 +1,10 @@
+PRGNAM="libebur128"
+VERSION="1.1.0"
+HOMEPAGE="https://github.com/jiixyj/libebur128"
+DOWNLOAD="https://github.com/jiixyj/libebur128/archive/v1.1.0.tar.gz"
+MD5SUM="57d26947185e320bf73a1afeb0c301b5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="speex"
+MAINTAINER="Klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/audio/libebur128/slack-desc b/audio/libebur128/slack-desc
new file mode 100644
index 0000000000..c2e7401755
--- /dev/null
+++ b/audio/libebur128/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libebur128: libebur128 (library implementing the EBU R128 loudness standard)
+libebur128:
+libebur128: A library that implements the EBU R 128 standard for loudness
+libebur128: normalisation. Libebur128 is MIT licensed.
+libebur128:
+libebur128: https://github.com/jiixyj/libebur128
+libebur128:
+libebur128:
+libebur128:
+libebur128:
+libebur128: